Bug 1872140 - Adjust vm console url
Summary: Adjust vm console url
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Kubevirt Plugin
Version: 4.6
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.6.0
Assignee: Gilad Lekner
QA Contact: Guohua Ouyang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-25 07:44 UTC by Guohua Ouyang
Modified: 2020-09-15 06:20 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 6477 None closed Bug 1872140: Adjust vm console url 2020-09-15 06:14:37 UTC

Description Guohua Ouyang 2020-08-25 07:44:41 UTC
Description of problem:
navigate to vm console tab, the url is 'http://localhost:9000/k8s/ns/default/virtualmachines/vm1/consoles'. Since the tab is named to 'console', the url should match it as well.

Suggest making it like 'http://localhost:9000/k8s/ns/default/virtualmachines/vm1/console'.

Version-Release number of selected component (if applicable):
master

How reproducible:
100%

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Tomas Jelinek 2020-08-31 08:55:19 UTC
The patch is ready so moving the BZ to match the release

Comment 3 Guohua Ouyang 2020-09-15 06:20:29 UTC
verified on master


Note You need to log in before you can comment on or make changes to this bug.